org.apache.ignite.internal.processors.cacheobject

## Class UserKeyCacheObjectImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectAdapter
  - - org.apache.ignite.internal.processors.cache.KeyCacheObjectImpl
    - - org.apache.ignite.internal.processors.cacheobject.UserKeyCacheObjectImpl

All Implemented Interfaces:
  Externalizable, Serializable, CacheObject, KeyCacheObject, Message

    public class UserKeyCacheObjectImpl
    extends KeyCacheObjectImpl

Wraps key provided by user, must be serialized before stored in cache.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.CacheObjectAdapter

`val, valBytes`

### Fields inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`TYPE_BINARY, TYPE_BINARY_ENUM, TYPE_BYTE_ARR, TYPE_REGULAR`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UserKeyCacheObjectImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`KeyCacheObject` `copy(int part)`
`CacheObject` `prepareForCache(CacheObjectContext ctx)` Prepares cache object for cache (e.g. copies user-provided object if needed).

### Methods inherited from class org.apache.ignite.internal.processors.cache.KeyCacheObjectImpl

`directType, equals, fieldsCount, finishUnmarshal, hashCode, internal, isPlatformType, onAckReceived, partition, partition, prepareMarshal, readFrom, toString, value, valueBytes, writeTo`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheObjectAdapter

`cacheObjectType, needCopy, objectPutSize, putValue, putValue, putValue, putValue, putValue, readExternal, valueBytesLength, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`cacheObjectType, putValue, putValue, putValue, valueBytesLength`

### Constructor Detail

#### UserKeyCacheObjectImpl

    public UserKeyCacheObjectImpl()

### Method Detail

#### copy

    public KeyCacheObject copy(int part)

Specified by:
  `copy` in interface `KeyCacheObject`
Overrides:
  `copy` in class `KeyCacheObjectImpl`
Parameters:
  `part` - Partition ID.
Returns:
  Copy of this object with given partition set.

#### prepareForCache

    public CacheObject prepareForCache(CacheObjectContext ctx)

Prepares cache object for cache (e.g. copies user-provided object if needed).

Specified by:
  `prepareForCache` in interface `CacheObject`
Overrides:
  `prepareForCache` in class `KeyCacheObjectImpl`
Parameters:
  `ctx` - Cache context.
Returns:
  Instance to store in cache.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018